Name:           warzone2100
Version:        2.1.2
Release:        1%{?dist}
Summary:        Innovative 3D real-time strategy

Group:          Amusements/Games
License:        GPLv2+ and CC-BY-SA
URL:            http://wz2100.net/
Source0:        http://download.gna.org/warzone/releases/2.1/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: physfs-devel SDL_net-devel openal-devel bison flex zip
BuildRequires: libjpeg-devel libpng-devel libogg-devel libvorbis-devel
BuildRequires: quesoglc-devel popt-devel gettext
BuildRequires: automake >= 1.8
BuildRequires: desktop-file-utils
Obsoletes:     warzone2100-data

%description
Warzone 2100 was an innovative 3D real-time strategy game back in 1999, and
most will agree it didn't enjoy the commercial success it should have had. The
game's source code was liberated on December 6th, 2004, under a GPL license
(see COPYING in this directory for details). Soon after that, the Warzone 2100
ReDev project was formed to take care of its future.

%prep
%setup -q

%build
%configure --disable-rpath --disable-debug --with-distributor="Fedora"
make %{_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -rf $RPM_BUILD_ROOT%{_defaultdocdir}
desktop-file-install --vendor="fedora"                                 \
        --dir=$RPM_BUILD_ROOT%{_datadir}/applications/   \
        $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
rm $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/warzone2100
%{_datadir}/icons/warzone*
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/warzone2100
%doc AUTHORS ChangeLog COPYING COPYING.NONGPL COPYING.README

%changelog
* Thu Mar 19 2009 Karol Trzcionka <karlikt at gmail.com> - 2.1.2-1
- Update to v2.1.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 06 2009 Karol Trzcionka <karlikt at gmail.com> - 2.1.1-1
- Update to v2.1.1
* Sun Dec 21 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-1
- Update to v2.1.0 stable
* Fri Dec 05 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.8.rc2
- Update to v2.1.0-rc2
* Sun Nov 16 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.7.rc1
- Update to v2.1.0-rc1
- Fix typo in changelog
- Update License tag
- Fix game-crash while saving and loading (svn revision 6283)
* Thu Oct 02 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.6.beta5
- Update to v2.1.0-beta5
* Tue Apr 22 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.5.beta2
- Update to v2.1.0-beta2
- Add requires
* Mon Mar 03 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.4.beta1
- Fix ppc build
* Sun Mar 02 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.3.beta1
- add translations
* Sun Mar 02 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.2.beta1
- Fix BRs
* Sun Mar 02 2008 Karol Trzcionka <karlikt at gmail.com> - 2.1.0-0.1.beta1
- Update to v2.1.0-beta1
- Remove ExcludeArch
* Sun Dec 30 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.10-1
- Update to v2.0.10
* Mon Dec 03 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.8-2
- Fix desktop-file for fedora 9
* Mon Dec 03 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.8-1
- Update to v2.0.8 and apply fixsound
* Mon Nov 19 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.8-0.1.rc1
- Update to v2.0.8_rc1
* Wed Oct 17 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-5
- Fix build on koji ppc (remove smp_flags)
- set ExcludeArch x86_64 ppc64 sparc64 alpha
* Wed Oct 17 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-4
- Merge data subpackage with core package
- Replace ExcludeArch with ExclusiveArch
* Sun Aug 19 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-3
- Apply upstream patch
* Sun Jun 24 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-2
- Add ppc64 to ExcludeArch
* Sun Jun 24 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.7-1
- Update to v2.0.7
* Sun Apr 08 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.6-2
- Fix build-problem in fedora 7
* Sat Apr 07 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.6-1
- Update to v2.0.6
* Fri Jan 26 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-4
- Update BRs for FC-5
* Tue Jan 16 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-3
- change ExclusiveArch: i386 to ExcludeArch: x86_64
* Tue Jan 09 2007 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-2
- add an ExclusiveArch
* Sun Dec 31 2006 Karol Trzcionka <karlikt at gmail.com> - 2.0.5-1
- Initial Release
